To run WordPress we recommend your host supports:

  • PHP version 7.2 or greater.
  • MySQL version 5.6 or greater OR MariaDB version 10.0 or greater.
  • HTTPS support

Apache or Nginx as the most robust and featureful server for running WordPress, but any server that supports PHP and MySQL will do.

If you are on windows machine then WAMP, For linux user LAMP same as for MAC install MAMP. Or you can use cross platform XAMPP.

WAMPLAMP / MAMP /XAMPP containing MariaDB / MySQL, PHP, and Perl

Check following url for web server installation

How to Install WAMP

How to install LAMPP in Ubuntu

How to install XAMPP in Ubuntu